Advisory Details

March 7th, 2018

Apple macOS QuartzCore render_mask Heap-based Buffer Overflow Remote Code Execution Vulnerability

ZDI-18-237
ZDI-CAN-5245

CVE ID CVE-2018-4085
CVSS SCORE 6.8, (AV:N/AC:M/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Apple
AFFECTED PRODUCTS macOS
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple macOS. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the implementation of the QuartzCore module. The issue results from the lack of proper handling of error conditions prior to indexing into a buffer. An attacker can leverage this vulnerability to execute code under the context of the current process.

ADDITIONAL DETAILS Apple has issued an update to correct this vulnerability. More details can be found at:
https://support.apple.com/en-us/HT208463
DISCLOSURE TIMELINE
  • 2017-11-14 - Vulnerability reported to vendor
  • 2018-03-07 - Coordinated public release of advisory
  • 2018-03-07 - Advisory Updated
CREDIT Ret2 Systems
Inc.
BACK TO ADVISORIES